> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Export Annotation Queue Records

> Export selected records from an annotation queue.

The request must specify either a list of record IDs or a filter tree to select queue records.

Permission checks:
- User must have READ permission on the annotation queue



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json post /v2/annotation_queues/{queue_id}/records/export
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/annotation_queues/{queue_id}/records/export:
    post:
      tags:
        - annotation_queue_records
      summary: Export Annotation Queue Records
      description: >-
        Export selected records from an annotation queue.


        The request must specify either a list of record IDs or a filter tree to
        select queue records.


        Permission checks:

        - User must have READ permission on the annotation queue
      operationId: >-
        export_annotation_queue_records_v2_annotation_queues__queue_id__records_export_post
      parameters:
        - name: queue_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Queue Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AnnotationQueueExportRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
components:
  schemas:
    AnnotationQueueExportRequest:
      properties:
        column_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Column Ids
          description: Column IDs to include in the export. Applies only to CSV exports.
        export_format:
          $ref: '#/components/schemas/LLMExportFormat'
          description: Export format
          default: jsonl
        redact:
          type: boolean
          title: Redact
          description: Redact sensitive data
          default: true
        file_name:
          anyOf:
            - type: string
            - type: 'null'
          title: File Name
          description: Optional filename for the exported file
        export_computed_metrics_only:
          type: boolean
          title: Export Computed Metrics Only
          description: >-
            When true, export only enabled scorer metrics with computed values
            (success or roll_up). For session exports, omit entire sessions
            unless every enabled metric at session, trace, or span level is
            ready (success, roll_up, or not_applicable).
          default: false
        record_selector:
          oneOf:
            - $ref: '#/components/schemas/AnnotationQueueRecordsByRecordIDs'
            - $ref: '#/components/schemas/AnnotationQueueRecordsByFilterTree'
          title: Record Selector
          description: >-
            Selector to specify which queue records to export (either by record
            IDs or filter tree)
          discriminator:
            propertyName: type
            mapping:
              filter_tree:
                $ref: '#/components/schemas/AnnotationQueueRecordsByFilterTree'
              record_ids:
                $ref: '#/components/schemas/AnnotationQueueRecordsByRecordIDs'
      type: object
      required:
        - record_selector
      title: AnnotationQueueExportRequest
      description: Request to export selected annotation queue records.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    LLMExportFormat:
      type: string
      enum:
        - csv
        - jsonl
      title: LLMExportFormat
    AnnotationQueueRecordsByRecordIDs:
      properties:
        type:
          type: string
          const: record_ids
          title: Type
          default: record_ids
        record_ids:
          items:
            type: string
            format: uuid4
          type: array
          maxItems: 100000
          minItems: 1
          title: Record Ids
          description: List of log record IDs to select
      type: object
      required:
        - record_ids
      title: AnnotationQueueRecordsByRecordIDs
    AnnotationQueueRecordsByFilterTree:
      properties:
        type:
          type: string
          const: filter_tree
          title: Type
          default: filter_tree
        filter_tree:
          $ref: >-
            #/components/schemas/FilterExpression_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
          description: Filter tree to select records
      type: object
      required:
        - filter_tree
      title: AnnotationQueueRecordsByFilterTree
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    FilterExpression_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input:
      anyOf:
        - $ref: >-
            #/components/schemas/FilterLeaf_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____
        - $ref: >-
            #/components/schemas/AndNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
        - $ref: >-
            #/components/schemas/OrNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
        - $ref: >-
            #/components/schemas/NotNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
    FilterLeaf_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____:
      properties:
        filter:
          oneOf:
            - $ref: '#/components/schemas/LogRecordsIDFilter'
            - $ref: '#/components/schemas/LogRecordsDateFilter'
            - $ref: '#/components/schemas/LogRecordsNumberFilter'
            - $ref: '#/components/schemas/LogRecordsBooleanFilter'
            - $ref: '#/components/schemas/LogRecordsCollectionFilter'
            - $ref: '#/components/schemas/LogRecordsTextFilter'
            - $ref: '#/components/schemas/LogRecordsFullyAnnotatedFilter'
          title: Filter
          discriminator:
            propertyName: type
            mapping:
              boolean:
                $ref: '#/components/schemas/LogRecordsBooleanFilter'
              collection:
                $ref: '#/components/schemas/LogRecordsCollectionFilter'
              date:
                $ref: '#/components/schemas/LogRecordsDateFilter'
              fully_annotated:
                $ref: '#/components/schemas/LogRecordsFullyAnnotatedFilter'
              id:
                $ref: '#/components/schemas/LogRecordsIDFilter'
              number:
                $ref: '#/components/schemas/LogRecordsNumberFilter'
              text:
                $ref: '#/components/schemas/LogRecordsTextFilter'
      type: object
      required:
        - filter
      title: >-
        FilterLeaf[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter,
        LogRecordsNumberFilter, LogRecordsBooleanFilter,
        LogRecordsCollectionFilter, LogRecordsTextFilter,
        LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType,
        required=True, discriminator='type')]]
    AndNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input:
      properties:
        and:
          items:
            anyOf:
              - $ref: >-
                  #/components/schemas/FilterLeaf_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____
              - $ref: >-
                  #/components/schemas/AndNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
              - $ref: >-
                  #/components/schemas/OrNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
              - $ref: >-
                  #/components/schemas/NotNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
          type: array
          title: And
      type: object
      required:
        - and
      title: >-
        AndNode[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter,
        LogRecordsNumberFilter, LogRecordsBooleanFilter,
        LogRecordsCollectionFilter, LogRecordsTextFilter,
        LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType,
        required=True, discriminator='type')]]
    OrNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input:
      properties:
        or:
          items:
            anyOf:
              - $ref: >-
                  #/components/schemas/FilterLeaf_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____
              - $ref: >-
                  #/components/schemas/AndNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
              - $ref: >-
                  #/components/schemas/OrNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
              - $ref: >-
                  #/components/schemas/NotNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
          type: array
          title: Or
      type: object
      required:
        - or
      title: >-
        OrNode[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter,
        LogRecordsNumberFilter, LogRecordsBooleanFilter,
        LogRecordsCollectionFilter, LogRecordsTextFilter,
        LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType,
        required=True, discriminator='type')]]
    NotNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input:
      properties:
        not:
          anyOf:
            - $ref: >-
                #/components/schemas/FilterLeaf_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____
            - $ref: >-
                #/components/schemas/AndNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
            - $ref: >-
                #/components/schemas/OrNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
            - $ref: >-
                #/components/schemas/NotNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
          title: Not
      type: object
      required:
        - not
      title: >-
        NotNode[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter,
        LogRecordsNumberFilter, LogRecordsBooleanFilter,
        LogRecordsCollectionFilter, LogRecordsTextFilter,
        LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType,
        required=True, discriminator='type')]]
    LogRecordsIDFilter:
      properties:
        column_id:
          type: string
          title: Column Id
          description: ID of the column to filter.
        operator:
          type: string
          enum:
            - eq
            - ne
            - one_of
            - not_in
            - contains
          title: Operator
          default: eq
        value:
          anyOf:
            - type: string
              format: uuid4
            - items:
                anyOf:
                  - type: string
                    format: uuid4
                  - type: string
              type: array
            - type: string
          title: Value
        type:
          type: string
          const: id
          title: Type
          default: id
      type: object
      required:
        - column_id
        - value
      title: LogRecordsIDFilter
    LogRecordsDateFilter:
      properties:
        column_id:
          type: string
          title: Column Id
          description: ID of the column to filter.
        operator:
          type: string
          enum:
            - eq
            - ne
            - gt
            - gte
            - lt
            - lte
          title: Operator
        value:
          type: string
          format: date-time
          title: Value
        type:
          type: string
          const: date
          title: Type
          default: date
      type: object
      required:
        - column_id
        - operator
        - value
      title: LogRecordsDateFilter
    LogRecordsNumberFilter:
      properties:
        column_id:
          type: string
          title: Column Id
          description: ID of the column to filter.
        operator:
          type: string
          enum:
            - eq
            - ne
            - gt
            - gte
            - lt
            - lte
            - between
          title: Operator
        value:
          anyOf:
            - type: integer
            - type: number
            - items:
                type: integer
              type: array
            - items:
                type: number
              type: array
          title: Value
        type:
          type: string
          const: number
          title: Type
          default: number
      type: object
      required:
        - column_id
        - operator
        - value
      title: LogRecordsNumberFilter
    LogRecordsBooleanFilter:
      properties:
        column_id:
          type: string
          title: Column Id
          description: ID of the column to filter.
        operator:
          type: string
          enum:
            - eq
            - ne
          title: Operator
          default: eq
        value:
          type: boolean
          title: Value
        type:
          type: string
          const: boolean
          title: Type
          default: boolean
      type: object
      required:
        - column_id
        - value
      title: LogRecordsBooleanFilter
    LogRecordsCollectionFilter:
      properties:
        column_id:
          type: string
          title: Column Id
          description: ID of the column to filter.
        operator:
          type: string
          enum:
            - eq
            - contains
            - one_of
            - not_in
          title: Operator
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Value
        case_sensitive:
          type: boolean
          title: Case Sensitive
          default: true
        type:
          type: string
          const: collection
          title: Type
          default: collection
      type: object
      required:
        - column_id
        - operator
        - value
      title: LogRecordsCollectionFilter
    LogRecordsTextFilter:
      properties:
        column_id:
          type: string
          title: Column Id
          description: ID of the column to filter.
        operator:
          type: string
          enum:
            - eq
            - ne
            - contains
            - one_of
            - not_in
          title: Operator
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Value
        case_sensitive:
          type: boolean
          title: Case Sensitive
          default: true
        type:
          type: string
          const: text
          title: Type
          default: text
      type: object
      required:
        - column_id
        - operator
        - value
      title: LogRecordsTextFilter
    LogRecordsFullyAnnotatedFilter:
      properties:
        column_id:
          type: string
          const: fully_annotated
          title: Column Id
          description: >-
            Queue-scoped filter identifier. This filter only works for
            annotation-queue searches that provide queue context.
          default: fully_annotated
        type:
          type: string
          const: fully_annotated
          title: Type
          default: fully_annotated
        user_ids:
          anyOf:
            - items:
                type: string
                format: uuid4
              type: array
              minItems: 1
            - type: 'null'
          title: User Ids
          description: >-
            Optional queue member IDs to require for full annotation in a
            queue-scoped search. If omitted, all tracked queue members visible
            to the requester are used.
      type: object
      title: LogRecordsFullyAnnotatedFilter
      description: Queue-scoped filter for records rated across all queue templates.
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Splunk-AO-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login

````